[Tux4kids-commits] r748 - tuxtype/branches/tuxtype-soc-mh

lummeh-guest at alioth.debian.org lummeh-guest at alioth.debian.org
Sun Aug 31 07:54:29 UTC 2008


Author: lummeh-guest
Date: 2008-08-31 07:54:29 +0000 (Sun, 31 Aug 2008)
New Revision: 748

Added:
   tuxtype/branches/tuxtype-soc-mh/cross-configure.sh
Log:
missing config files

Added: tuxtype/branches/tuxtype-soc-mh/cross-configure.sh
===================================================================
--- tuxtype/branches/tuxtype-soc-mh/cross-configure.sh	                        (rev 0)
+++ tuxtype/branches/tuxtype-soc-mh/cross-configure.sh	2008-08-31 07:54:29 UTC (rev 748)
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+CONFIG_SHELL=/bin/sh
+export CONFIG_SHELL
+PREFIX=/usr/local/mingw
+TARGET=i586-pc-mingw32
+PATH="$PREFIX/bin:$PREFIX/$TARGET/bin:$PATH"
+export PATH
+if [ -f "$PREFIX/$TARGET/bin/$TARGET-sdl-config" ]; then
+    SDL_CONFIG="$PREFIX/$TARGET/bin/$TARGET-sdl-config"
+    export SDL_CONFIG
+fi
+cache=cross-config.cache
+CPPFLAGS=-I$PREFIX/$TARGET/include LDFLAGS=-L$PREFIX/$TARGET/lib sh configure --cache-file="$cache" \
+	--target=$TARGET --host=$TARGET --build=i386-linux --prefix="$PREFIX/$TARGET" \
+	$*
+status=$?
+rm -f "$cache"
+exit $status




More information about the Tux4kids-commits mailing list